Bug Hunting Session
Bug 112845 - RTL: Color widget control doesnt work and most split buttons open in wrong locations (gtk3)
Summary: RTL: Color widget control doesnt work and most split buttons open in wrong lo...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: RTL-CTL Color-Picker-Widget GTK3 Split-Group-Buttons
  Show dependency treegraph
 
Reported: 2017-10-02 19:08 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-19 20:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
various popups that didnt work (115.18 KB, image/png)
2017-10-02 19:08 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-10-02 19:08:24 UTC
Created attachment 136709 [details]
various popups that didnt work

steps:
1. open writer in Arabic UI
2. click on down arrow button portion of the font or highlight color toolbar control to see the color palette and nothing will happen
3. click on down arrow button portion of the paste, undo, redo, field, or special character and notice it opens moving leftwards rather than rightwards
4. click on down arrow button portion of the basic shapes button, or any of the buttons in the drawing toolbar and the popup will open in the top left corner of the screen
5. click on the down arrow of the font size or name combobox and the popup will not start of the bottom right corner of the control

The split/group buttons that work correctly are the ones for table and bullets.

Version: 6.0.0.0.alpha0+
Build ID: a2a3e06a29077d4274dc15eea28a01afe22e3658
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Yousuf Philips (jay) (retired) 2017-10-02 19:17:51 UTC
(In reply to Yousuf Philips (jay) from comment #0)
> CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 

This should have been VCL: gtk3;
Comment 2 Lior Kaplan 2017-10-02 20:45:51 UTC
(In reply to Yousuf Philips (jay) from comment #0)
> steps:
> 4. click on down arrow button portion of the basic shapes button, or any of
> the buttons in the drawing toolbar and the popup will open in the top left
> corner of the screen

Happens with Hebrew interface as well. LibreOffice 5.4.1 from Debian.
Comment 3 Commit Notification 2017-10-17 15:28:58 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=76f102e1a96c7e0906afb11854dd5c9e24247ccb

tdf#112845 get optimal size before showing popups

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-10-17 19:49:01 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ebb2b8cedefcb32eadec191ef70225430ad154c0

tdf#112845 rtl dropdowns in wrong position

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2017-10-18 10:59:51 UTC
I believe the major gross errors are fixed in master now for gtk3 rtl
Comment 6 Yousuf Philips (jay) (retired) 2017-10-19 20:53:02 UTC
(In reply to Caolán McNamara from comment #5)
> I believe the major gross errors are fixed in master now for gtk3 rtl

Yes the major errors have been fixed (steps 2, 3, 4). Only thing remaining is the wrong placement of popup coming from the comboboxes (step 5). Should i open a separate bug for this one?
Comment 7 Yousuf Philips (jay) (retired) 2017-10-19 20:53:55 UTC
إصدارة: 6.0.0.0.alpha0+
معرّف البناء: cfbb8b5090537e79ba70e250ddee86d53facbe15
خيوط المعالج: 2; نظام التَّشغيل: Linux 4.4; مصيّر الواجهة: المبدئيّ; VCL: gtk3; 
المحليّة: en-US (en_US.UTF-8); Calc: group